function CstSetFrekvencyRange(fid,CFmin,CFmax)
global mws solver

% Funkce CstSetFrekvencyRange(fid,CFmin,CFmax) nastaví frekvenční rozsah ve kterém
% bude provedena analýza. Funkce nemá návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CFmin – minimální frekvence.
% CFmax – maximální frekvence.

% Příklad požití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstSetFrekvencyRange(fid,1,3);


% definovani frekvencniho rozsahu
        fprintf(fid, '%% Definovani frekvencniho rozsahu\n');
        fprintf(fid, 'solver = mws.invoke(''Solver'');\n');
        fprintf(fid, ['solver.invoke(''FrequencyRange'',',num2str(CFmin),',',num2str(CFmax),');\n\n']);


% definovani frekvencniho rozsahu primo v CST
    solver = mws.invoke('Solver');
    solver.invoke('FrequencyRange',CFmin,CFmax);

end